> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show all active system threads



## OpenAPI

````yaml /api-reference/4.2/service-system.json get /system/threads
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service system
servers:
  - url: /api/apollo/
security: []
tags:
  - name: system
paths:
  /system/threads:
    get:
      tags:
        - 4.2 System API
      summary: Show all active system threads
      operationId: threadDump
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThreadDump'
            text/plain:
              schema:
                $ref: '#/components/schemas/ThreadDump'
components:
  schemas:
    ThreadDump:
      type: object
      properties:
        threads:
          type: array
          items:
            $ref: '#/components/schemas/ThreadInfo'
    ThreadInfo:
      type: object
      properties:
        threadName:
          type: string
        threadId:
          type: integer
          format: int64
        blockedTime:
          type: integer
          format: int64
        blockedCount:
          type: integer
          format: int64
        waitedTime:
          type: integer
          format: int64
        waitedCount:
          type: integer
          format: int64
        lockName:
          type: string
        lockOwnerId:
          type: integer
          format: int64
        lockOwnerName:
          type: string
        inNative:
          type: boolean
          default: false
        suspended:
          type: boolean
          default: false
        threadState:
          type: string
          enum:
            - NEW
            - RUNNABLE
            - BLOCKED
            - WAITING
            - TIMED_WAITING
            - TERMINATED
        stackTrace:
          type: array
          items:
            $ref: '#/components/schemas/StackTraceElement'
        lockedMonitors:
          type: array
          items:
            $ref: '#/components/schemas/MonitorInfo'
        lockedSynchronizers:
          type: array
          items:
            $ref: '#/components/schemas/LockInfo'
        lockInfo:
          $ref: '#/components/schemas/LockInfo'
    StackTraceElement:
      type: object
      properties:
        methodName:
          type: string
        fileName:
          type: string
        lineNumber:
          type: integer
          format: int32
        className:
          type: string
        nativeMethod:
          type: boolean
          default: false
    MonitorInfo:
      type: object
      properties:
        className:
          type: string
        identityHashCode:
          type: integer
          format: int32
        lockedStackDepth:
          type: integer
          format: int32
        lockedStackFrame:
          $ref: '#/components/schemas/StackTraceElement'
    LockInfo:
      type: object
      properties:
        className:
          type: string
        identityHashCode:
          type: integer
          format: int32

````